Package com.orchestranetworks.service

# Interface ImportResult

public interface ImportResult
Describes the result of an import.

See Also:
  - `ProcedureContext.doImport(ImportSpec)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator`
  `getCreatedRecords()`
  Deprecated.
  this method returns an internal object.
  `Iterator<String>`
  `getCreatedRecordsPredicatesStrings()`
  Returns an iterator over XPath predicate strings.
  `int`
  `getCreationQty()`
  Returns the number of created records.
  `Iterator<String>`
  `getDeletedRecordsPredicatesStrings()`
  Returns an iterator over XPath predicate strings.
  `int`
  `getDeletionQty()`
  Returns the number of deleted records.
  `Map<Path,ImportResult>`
  `getImportResults()`
  For the root result, returns the import results organized by the impacted tables.
  `int`
  `getUnchangeQty()`
  Returns the number of unchanged records.
  `int`
  `getUpdateQty()`
  Returns the number of updated records.

- ## Method Details

  - ### getImportResults

    Map<Path,ImportResult> getImportResults()
    For the root result, returns the import results organized by the impacted tables. When the `ImportResult` is obtained using `ProcedureContext.doImport(ImportSpec)`, each table that has been modified has an entry in the returned map that describes all associated modifications.

  Returns `null` if the `ImportResult` is an entry of the returned map.

  The map contains `table path` keys with `ImportResult` values.

- ### getCreatedRecords

  @Deprecated Iterator getCreatedRecords()
  Deprecated.
  this method returns an internal object.
  Returns an iterator over XPath predicate strings. Returns `null` if a non-detailed result is expected.
  See Also:
    - `ImportSpec.setDetailedResult(boolean)`

- ### getCreatedRecordsPredicatesStrings

  Iterator<String> getCreatedRecordsPredicatesStrings()
  Returns an iterator over XPath predicate strings. Returns `null` if a non-detailed result is expected.
  See Also:
    - `ImportSpec.setDetailedResult(boolean)`

- ### getDeletedRecordsPredicatesStrings

  Iterator<String> getDeletedRecordsPredicatesStrings()
  Returns an iterator over XPath predicate strings. Returns `null` if a non-detailed result is expected.
  See Also:
    - `ImportSpec.setDetailedResult(boolean)`

- ### getCreationQty

  int getCreationQty()
  Returns the number of created records.

- ### getUpdateQty

  int getUpdateQty()
  Returns the number of updated records.

- ### getUnchangeQty

  int getUnchangeQty()
  Returns the number of unchanged records.

- ### getDeletionQty

  int getDeletionQty()
  Returns the number of deleted records.